﻿package
{
	import flash.display.Sprite;
	import flash.display.Stage;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	import flash.ui.Mouse;

	public class Triangler extends Sprite
	{
		private var stack:Array;
		private var max:Number = 50;
		private var maxAngle:Number = 360;
		private var dist:Number;
		
		public function Triangler()
		{
			stack = new Array();
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(MouseEvent.MOUSE_DOWN, downHandler);
			stage.addEventListener(MouseEvent.MOUSE_UP, upHandler);
		}
		
		private function downHandler(e:MouseEvent):void
		{
			stack[0] = new Point(e.stageX,e.stageY);
			stack[1] = new Point(e.stageX,e.stageY);
			stage.addEventListener(MouseEvent.MOUSE_MOVE, moveHandler);
		}
		
		private function upHandler(e:MouseEvent):void
		{
			stage.removeEventListener(MouseEvent.MOUSE_MOVE, moveHandler);
		}
		
		private function moveHandler(e:MouseEvent):void
		{
			var dist:Number = Point.distance(stack[0],stack[1]);
			trace (dist);
			stack[1].x = e.stageX;
			stack[1].y = e.stageY;
			var centerX:Number = stage.stageWidth/2;
			var centerY:Number = stage.stageHeight/2;
			
			if(Point.distance(stack[0],stack[1])>=max){
				for(var i:int = 1;i<40;i++){
					this.graphics.lineStyle(1,0x000000,1);
					this.graphics.beginFill(0xFFFF00,1);
					var xTimesI:Number = stack[1].x/dist*i;
					var yTimesI:Number = stack[1].y/dist*i;
					this.graphics.drawCircle(centerX+xTimesI,centerY+yTimesI,50);
					this.graphics.drawCircle(centerX-xTimesI,centerY-yTimesI,50);
					this.graphics.drawCircle(centerX-xTimesI,centerY+yTimesI,50);
					this.graphics.drawCircle(centerX+xTimesI,centerY-yTimesI,50);
					this.graphics.endFill();
				}
			}
		}
		
	}
}